> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/api-docs-1/integrations-extensions/shopify/collections-editor.md).

# Collections Editor

Here you can organize the collections of your Shopify store and choose a structure, using drag and drop.

To load the collections you have to click on the "Reload" button, this will refresh the collections saved in MBurger and add new collections that you've added on Shopify. This will not  cancel all the work you've done previously, the structure that you have built will remaiin untouched.

Once you've build your collection tree save it with the "Save" button. The structure you've created will retrurn in the `project` api.

```javascript
{
   ...
   "shopify_menu": [
      {
         "id": collection_id,
         "image": {
            "src": collection_image
         }
         "text": collection_name,
         "children": [
            {...},
            {...}
         ]
      }
   ]
   ...
}
```

The children array is an array of objects with the same structure of the collection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/api-docs-1/integrations-extensions/shopify/collections-editor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
